package com.ruoyi.system.service.video;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.video.VideoDeviceChannel;
import com.ruoyi.system.domain.video.ext.ChannelUrlInfo;

import java.util.List;

/**
 * <p>
 * 监控设备包含通道 服务类
 * </p>
 *
 * @author lb
 * @since 2024-07-31
 */
public interface VideoDeviceChannelService extends IService<VideoDeviceChannel> {

    public List<VideoDeviceChannel> selectVideoDeviceChannelList(VideoDeviceChannel videoDeviceChannel);

    public VideoDeviceChannel selectVideoDeviceChannelById(Long id);

    public int InsertVideoDeviceChannel(VideoDeviceChannel videoDeviceChannel);

    public int UpdateVideoDeviceChannel(VideoDeviceChannel  videoDeviceChannel);

    public int DeleteVideoDeviceChannelByIds(Long[] ids);

    public List<ChannelUrlInfo> selectChannelList(VideoDeviceChannel videoDeviceChannel);

    public int UpdateDatabaseInfo(VideoDeviceChannel videoDeviceChannel);

    public int getVideoCount(String type);

    public int getCount(String type);

    public String getVideoToken() throws Exception;

    public int position(String channelId, int position);

    public int positionById(String channelId);
}
